Subject: bug#74490: 31.0.50; make bootstrap fails

From: Stefan Kangas <[email-masked]>
Date: Sat, 23 Nov 2024 10:53:24 -0500

close 74490 31.0.50
thanks

Eli Zaretskii <[email-masked]> writes:

> So I believe it's a bad idea to use rx in an autoloaded defconst,
> since we cannot know whether the defconst will be in loaddefs.el
> before or after the rx macro.
>
> Stefan, are there any clean ways of using calls to autoloaded macros
> in autoloaded defconst or defvar?

I couldn't find a clean way to do that, so I installed a quick
workaround to avoid having a broken master.  If anyone has a better
idea, please speak up (or just install it).

Meanwhile, I'm closing this bug.